# Sujet n° 8 : Générateurs de graphes temporels

*Encadrants :* Stefan Balev, Eric Sanlaville

*Technologies :* Java, GraphStream

Les graphes temporels (ou dynamiques) sont une extension des graphes classiques qui, comme leur nom l'indique, évoluent dans le temps. Parmi les différentes définitions possibles, nous retenons la suivante : nous avons un ensemble fixe de sommets et du temps discret. À chaque pas de temps, une arrête peut être présente ou pas.

Il y a deux façons de représenter un graphe temporel : comme une séquence de graphes dont chaque élément correspond à un pas de temps ou bien comme un seul graphe dans lequel les arêtes sont étiquetées avec leurs pas de présence.

![graphe temporel](graphe-temp.png)

Au sein de l'équipe RI2C du LITIS, beaucoup de travaux de recherche portent sur les graphes temporels. Pour tester les différents algorithmes développés, nous avons besoin de générateurs spécifiques de graphes dynamiques.

Le but de ce projet est de développer des générateurs de graphes temporels aléatoires qui respectent différents types de contraintes. Parmi ces contraintes on peut citer :

* un degré moyen ou une distribution des degrés imposée ;
* contraintes sur la connexité (instantanée ou temporelle) ;
* persistence des arrêtes dans le temps ;
* densité locale des arrêtes autour de chaque sommet ;
* etc.
