# Sujet n° 10 : Bandes de LEDs

*Encadrants :* Yoann Pigné, Jean-Luc Ponty, Stefan Balev

## Contexte

Dans le cadre d'un projet de vulgarisation scientifique, nous souhaitons mettre en place un dispositif d'affichage composé de bandes de LEDs. Les LEDs seront pilotées par des micro-contrôleurs reliés à un serveur, mais la partie électronique / programmation bas niveau sort du cadre de ce projet. Nous proposons de travailler en amont, sur la préparation des images qui seront affichées sur cet « écran », notamment sur les algorithmes qui produisent des images et une interface web.

## Algorithmes

Ce seront des composantes logicielles qui prennent en entrée des paramètres globaux (taille d'image, framerate, schéma de couleurs etc.), ainsi que des paramètres spécifiques pour chaque algorithme. Ils produisent en sortie un flux d'images (une image étant une séquence de couleurs de pixels).

Parmi les algorithmes que l'on souhaite développer on peut citer : [automates cellulaires](https://fr.wikipedia.org/wiki/Automate_cellulaire) et leurs généralisations ([lenia](https://youtu.be/PlzV4aJ7iMI)), simulations de particules, [boids](https://fr.wikipedia.org/wiki/Boids), etc.

## Interface web

Celle-ci permettra de choisir un des algorithmes disponibles, de le paramétrer et de lancer son exécution.

## Simulateur d'affichage

Il s'agit d'un dispositif simple permettant de visualiser la sortie des algorithmes sur un écran normal. En fonction de l'avancement de la partie électronique du projet, il pourrait également être possible de faire des tests sur des vraies bandes de LEDs.
